# SPDX-FileCopyrightText: no
# SPDX-License-Identifier: CC0-1.0
#
# Configuration for the welcome module. The welcome page
# displays some information from the branding file.
# Which parts it displays can be configured through
# the show* variables.
#
# In addition to displaying the welcome page, this module
# can check requirements for installation.
---
# Display settings for various buttons on the welcome page.
showSupportUrl:         false
showKnownIssuesUrl:     false
showReleaseNotesUrl:    false

# Requirements checking. These are general, generic, things
# that are checked. They may not match with the actual requirements
# imposed by other modules in the system.
requirements:
    # Amount of available disk, in GiB. Floating-point is allowed here.
    # Note that this does not account for *usable* disk, so it is possible
    # to pass this requirement, yet have no space to install to.
    requiredStorage:    0.0

    # Amount of available RAM, in GiB. Floating-point is allowed here.
    requiredRam:        0.0

    # To check for internet connectivity, Calamares does a HTTP GET
    # on this URL; on success (e.g. HTTP code 200) internet is OK.
    internetCheckUrl:   http://google.com

    # List conditions to check. Each listed condition will be
    # probed in some way, and yields true or false according to
    # the host system satisfying the condition.
    #
    # This sample file lists all the conditions that are known.
    check:
        - root
        - screen
    # List conditions that **must** be satisfied (from the list
    # of conditions, above) for installation to proceed.
    # If any of these conditions are not met, the user cannot
    # continue past the welcome page.
    required:
        - root
